
Docker - Bug #12116

`hammer compute-resource create -h` do not mention Docker

10/08/2015 04:59 PM - Bryan Kearney

Status: New   

Priority: Normal   

Assignee:    

Category: Plugin (foreman_docker)   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1190790 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1190790

Description of problem:

`hammer compute-resource create -h` do not mention Docker. E.g. help text for "--url" says "URL for Libvirt, RHEV, and Openstack".

Also in webUI when creating Docker compute resource I see fields "Username", "Password" (I do not know what are these for, but

`hammer compute-resource create -h` do not mention Docker in the help text) and "Email" (again, I do not see what is this for, but in

hammer I do not see a way how to supply this).

Version-Release number of selected component (if applicable):

Satellite-6.1.0-RHEL-7-20150205.0-Satellite-x86_64

How reproducible:

always

Steps to Reproduce:

1. # hammer compute-resource create -h | grep -i Docker

Actual results:

1. hammer -u admin -p changeme compute-resource create -h

Usage:

hammer compute-resource create [OPTIONS]

Options:

--description DESCRIPTION

--location-ids LOCATION_IDS                 REPLACE locations with given ids

Comma separated list of values.

--locations LOCATION_NAMES                  Comma separated list of values.

--name NAME

--organization-ids ORGANIZATION_IDS         REPLACE organizations with given ids.

Comma separated list of values.

--organizations ORGANIZATION_NAMES          Comma separated list of values.

--password PASSWORD                         Password for RHEV, EC2, Vmware, Openstack. Secret key for EC2

--provider PROVIDER                         Providers include

--region REGION                             for EC2 only

--server SERVER                             for Vmware

--set-console-password SET_CONSOLE_PASSWORD for Libvirt and Vmware only

One of true/false, yes/no, 1/0.

--tenant TENANT                             for Openstack only

--url URL                                   URL for Libvirt, RHEV, and Openstack

--user USER                                 Username for RHEV, EC2, Vmware, Openstack. Access Key for EC2.

--uuid UUID                                 for RHEV, Vmware Datacenter

-h, --help                                  print help

Expected results:

I would expect Docker is mentioned at least in description of "--url" option. If it makes sense, should be there for "--user" and

"--password" and maybe "--email" should be added.
Related issues:

Related to Foreman - Feature #3763: Ability for engine/plugin to extend RABL ... Closed 11/26/2013

Blocked by Foreman - Feature #16630: Need a way to extend existing apipie spe... Closed 09/21/2016

History

#1 - 10/09/2015 03:03 AM - Dominic Cleal

- Project changed from Hammer CLI to Docker

- Category set to Plugin (foreman_docker)

- Assignee deleted (Martin Bacovsky)

Setting to the plugin as it will need to extend the API docs as appropriate.  You may well need to file another ticket against Foreman core for whatever

changes are needed there to support doing so.

#2 - 07/27/2016 11:12 AM - Ivan Necas

- Target version set to 1.7.0

#3 - 08/16/2016 05:56 AM - Ivan Necas

- Target version changed from 1.7.0 to 1.6.1

#4 - 09/08/2016 07:42 AM - Ivan Necas

- Target version changed from 1.6.1 to 127

#5 - 09/27/2016 09:06 AM - Ivan Necas

- Target version changed from 127 to 1.5.1

#6 - 09/27/2016 09:08 AM - Ivan Necas

- Target version changed from 1.5.1 to 113

#7 - 09/27/2016 09:09 AM - Ivan Necas

- Blocked by Feature #16630: Need a way to extend existing apipie specification added

#8 - 11/09/2016 07:04 AM - Marek Hulán

- Related to Feature #3763: Ability for engine/plugin to extend RABL responses added
